GLS ShipIT 5.0.17 GLS ShipIT - REST services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.Fields Class Reference

## Public Member Functions
String | getName ()
void | setName (String value)
String | getValue ()
void | setValue (String value)

## Protected Attributes
String | name
String | value

## Detailed Description

key / value pair construct

Java class for Fields complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Fields">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="value" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 39 of file Fields.java.

## Member Function Documentation

## ◆ getName()

String eu.gls_group.fpcs.v1.common.Fields.getName | ( |  | ) |

Gets the value of the name property.

Returns
  possible object is String

Definition at line 54 of file Fields.java.

## ◆ getValue()

String eu.gls_group.fpcs.v1.common.Fields.getValue | ( |  | ) |

Gets the value of the value property.

Returns
  possible object is String

Definition at line 78 of file Fields.java.

## ◆ setName()

void eu.gls_group.fpcs.v1.common.Fields.setName | ( | String | value | ) |

Sets the value of the name property.

Parameters

  value | allowed object is String

Definition at line 66 of file Fields.java.

## ◆ setValue()

void eu.gls_group.fpcs.v1.common.Fields.setValue | ( | String | value | ) |

Sets the value of the value property.

Parameters

  value | allowed object is String

Definition at line 90 of file Fields.java.

## Member Data Documentation

## ◆ name

String eu.gls_group.fpcs.v1.common.Fields.name
| protected

Definition at line 42 of file Fields.java.

## ◆ value

String eu.gls_group.fpcs.v1.common.Fields.value
| protected

Definition at line 44 of file Fields.java.

The documentation for this class was generated from the following file:

- Fields.java